package index;

import window.Fingerprint;

/**
 * A bean contains the identification of files 
 */
public class FileID {
	/**
	 * The name of the file
	 */
	String fileName;
	
	/**
	 * Chosen values as fingerprints
	 */
	Fingerprint[] fingerprints;
	
	public FileID(String fileName, Fingerprint[] fingerprints) {
		this.fileName = fileName;
		this.fingerprints = fingerprints;
	}

	public String getFileName() {
		return fileName;
	}

	public Fingerprint[] getFingerprints() {
		return fingerprints;
	}
	
	public String toString() {
		String retval = "{\n\t" + fileName + "\n\t[";
		

		for (int j = 0; j < fingerprints.length; j++) 
			retval += fingerprints[j] + ", ";

		retval += "]\n}";
		
		return retval;
	}
}
